package com.chenyang.nse.bussiness.webtools.entity.vo;

public class TableVO {
   String tableName;
   String tableComments;
   String tableSpace;

   public String getTableName() {
      return this.tableName;
   }

   public String getTableComments() {
      return this.tableComments;
   }

   public String getTableSpace() {
      return this.tableSpace;
   }

   public void setTableName(final String tableName) {
      this.tableName = tableName;
   }

   public void setTableComments(final String tableComments) {
      this.tableComments = tableComments;
   }

   public void setTableSpace(final String tableSpace) {
      this.tableSpace = tableSpace;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TableVO)) {
         return false;
      } else {
         TableVO other = (TableVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$tableName = this.getTableName();
            Object other$tableName = other.getTableName();
            if (this$tableName == null) {
               if (other$tableName != null) {
                  return false;
               }
            } else if (!this$tableName.equals(other$tableName)) {
               return false;
            }

            Object this$tableComments = this.getTableComments();
            Object other$tableComments = other.getTableComments();
            if (this$tableComments == null) {
               if (other$tableComments != null) {
                  return false;
               }
            } else if (!this$tableComments.equals(other$tableComments)) {
               return false;
            }

            Object this$tableSpace = this.getTableSpace();
            Object other$tableSpace = other.getTableSpace();
            if (this$tableSpace == null) {
               if (other$tableSpace != null) {
                  return false;
               }
            } else if (!this$tableSpace.equals(other$tableSpace)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TableVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $tableName = this.getTableName();
      result = result * 59 + ($tableName == null ? 43 : $tableName.hashCode());
      Object $tableComments = this.getTableComments();
      result = result * 59 + ($tableComments == null ? 43 : $tableComments.hashCode());
      Object $tableSpace = this.getTableSpace();
      result = result * 59 + ($tableSpace == null ? 43 : $tableSpace.hashCode());
      return result;
   }

   public String toString() {
      return "TableVO(tableName=" + this.getTableName() + ", tableComments=" + this.getTableComments() + ", tableSpace=" + this.getTableSpace() + ")";
   }
}
